(*        GREATIS DELPHI PAGES         *)
(* Copyright (C) 2001 Greatis Software *)
(*  web: http://www.greatisdelphi.com  *)
(*     e-mail: delphi@greatis.com      *)

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  LibHandle: THandle;
  Bitmap: Tbitmap;
begin
  LibHandle:=Loadlibrary('MyDLL.dll');
  try
    if LibHandle<>0 then
    begin
      Bitmap:=TBitmap.Create;
      Bitmap.LoadFromResourceName(LibHandle,'BITMAP3');
      Image1.Canvas.Draw(0,0,Bitmap);
    end;
  finally
    Bitmap.Free;
  end;
end;

end.

